%define ffversion	20120731
%define dl_ffversion %{ffversion}-b
%define docversion	20120731-b

Name:		fontforge
Version:	1.0
Release:	%mkrel 1.%{ffversion}.10
Summary:	Font Editor for PostScript, TrueType, OpenType and various fonts
License:	BSD-like
Group:		Publishing
Source0:	http://garr.dl.sourceforge.net/project/fontforge/fontforge-source/fontforge_full-%{dl_ffversion}.tar.bz2
Source2:	http://garr.dl.sourceforge.net/project/fontforge/fontforge-docs/fontforge_htdocs-%{docversion}.tar.bz2
Source3:	http://fontforge.sourceforge.net/cidmaps.tgz
Source4:	http://fontforge.sourceforge.net/fontforge-tutorial.pdf
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		fontforge-%{version}-uni-nodevel.patch
Patch1:		fontforge-1.0-20100501-mga-local-helpdir.patch
# Patches from Debian
Patch10:	008_libgif.diff
Patch11:	024_def_background.diff
Patch12:	0001-Fix-out-of-bounds-read-in-getsid.patch
Patch13:	0002-readcfftopdict-Prevent-stack-underflow-condition.patch
Patch14:	0003-Fix-out-of-bounds-read-condition-and-buffer-overflow.patch
Patch15:	0004-parsettf.c-Fix-buffer-overrun-condition.patch
Patch16:	0005-parsettf.c-Fix-buffer-overflow-condition-when-readin.patch
Patch17:	0006-parsettf.c-Fix-out-of-bounds-read-condition-on-buffe.patch
# Patches from OpenSuse:
Patch21:	libpng16-dynamic.diff
URL:		http://fontforge.sourceforge.net/
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	tiff-devel
BuildRequires:	libungif-devel
BuildRequires:	libxml2-devel
BuildRequires:	libx11-devel
# (Abel) it wants either autotrace or potrace
Requires:	fonttracer
# (Abel) libuninameslist.so.0 is a runtime dependency via dlopen()
Requires:	%{mklibname uninameslist 0}
BuildRequires:	libuninameslist-devel
BuildRequires:	chrpath
# (tv) libpng is a runtime dependency via dlopen()
Requires:	%{mklibname png 16 16}

%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%prep
%setup -q -n fontforge-%{dl_ffversion}
%patch0 -p1 -b .uninames
%patch1 -p1 -b .helpdir
%patch10 -p1 -b .libgif
%patch11 -p1 -b .background
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch21 -p0 -b .libpng2
install -m 644 %{SOURCE4} .

mkdir -p htdocs cidmap
tar xjf %{SOURCE2} -C htdocs
tar xf %{SOURCE3} -C cidmap

%build
# For the motivation behind --without-freetype-src, see:
# http://sourceforge.net/mailarchive/forum.php?thread_name=m3pqthbe44.fsf%%40jhcloos.com&forum_name=fontforge-devel
# (Replace the double-percent with a single percent.).
%configure2_5x --disable-shared --without-freetype-src
%make

%install
%makeinstall

rm -rf %{buildroot}%{_libdir}

# XDG compliance
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=FontForge
Comment=%{Summary}
Exec=%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=Graphics;Scanning;OCR;Office;Viewer;
EOF

# icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

# added with htdocs in %doc section
rm -rf %{buildroot}%{_datadir}/doc/fontforge

rm -rf %{buildroot}%{_includedir}

chrpath -d %{buildroot}%{_bindir}/%{name}

%find_lang FontForge

%files -f FontForge.lang
%doc LICENSE htdocs README-unix README-Unix.html fontforge-tutorial.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/fontforge


%changelog
* Fri Dec 29 2017 luigiwalser <luigiwalser> 1.0-1.20120731.10.mga5
+ Revision: 1186904
- add patches from debian to fix CVE-2017-1156[89] and CVE-2017-1157[124567]

* Wed Oct 15 2014 umeabot <umeabot> 1.0-1.20120731.9.mga5
+ Revision: 741428
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 1.0-1.20120731.8.mga5
+ Revision: 725052
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0-0.20120731.8.mga5
+ Revision: 679255
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0-0.20120731.7.mga4
+ Revision: 526399
- Mageia 4 Mass Rebuild

* Tue Jun 04 2013 fwang <fwang> 1.0-0.20120731.6.mga4
+ Revision: 436903
- we are now providing libpng16

* Mon Jun 03 2013 tv <tv> 1.0-0.20120731.5.mga4
+ Revision: 436312
- rebuild for new libpng

* Mon Jun 03 2013 fwang <fwang> 1.0-0.20120731.4.mga4
+ Revision: 435854
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 1.0-0.20120731.3.mga3
+ Revision: 350654
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 08 2012 tv <tv> 1.0-0.20120731.2.mga3
+ Revision: 303409
- BR x11-devel
- add patch from opensuse not to look for libpng.so.2
- requires libpng

* Tue Sep 11 2012 shlomif <shlomif> 1.0-0.20120731.1.mga3
+ Revision: 292435
- New version - 20120731-b

* Thu May 10 2012 doktor5000 <doktor5000> 1.0-0.20110222.3.mga2
+ Revision: 235150
- remove unneeded explicit Require on mfwin/texlive (mga#5812)

* Thu Oct 27 2011 doktor5000 <doktor5000> 1.0-0.20110222.2.mga2
+ Revision: 158591
- updated fontforge-tutorial.pdf
- updated cidmaps tarball, use upstream tarball, don't recompress
- added back local-helpdir.patch and properly renamed it
- removed unrecognized configure options
- use %%make macro
- removed deprecated %%clean section

* Sun Jun 19 2011 spuhler <spuhler> 1.0-0.20110222.1.mga2
+ Revision: 109560
- upgraded version to	20110222
  upgraded docversion	20110221
  removed Patch1: fontforge-%%{version}-local-helpdir.patch

* Tue Apr 26 2011 wally <wally> 1.0-0.20090923.5.mga1
+ Revision: 91662
- fix desktop file (mga#954)
- drop buildroot definition

* Fri Mar 04 2011 boklm <boklm> 1.0-0.20090923.4.mga1
+ Revision: 64137
- require mfwin instead of tetex-mfwin

* Mon Jan 17 2011 pterjan <pterjan> 1.0-0.20090923.3.mga1
+ Revision: 21122
- Drop obsolete scriptlets
- imported package fontforge


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20090923.3mdv2011.0
+ Revision: 605181
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0-0.20090923.2mdv2010.1
+ Revision: 522653
- rebuilt for 2010.1

* Sun Sep 27 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0-0.20090923.1mdv2010.0
+ Revision: 449729
- Update to new version 20090923

* Wed Sep 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0-0.20090914.1mdv2010.0
+ Revision: 443643
- Update to new version 20090914
- Remove string format patch and segfault patch: fixed upstream

* Thu May 14 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0-0.20090408.1mdv2010.0
+ Revision: 375761
- Update to new version 20090408
- Add some Debian patches:
  * Use grey background
  * Link with libgif
  * Segmentation fault fix

* Sat Mar 14 2009 Emmanuel Andry <eandry@mandriva.org> 1.0-0.20090224.1mdv2009.1
+ Revision: 355093
- New version 20090224
- update docs
- diff P2 to fix string format not literal

* Fri Sep 05 2008 Emmanuel Andry <eandry@mandriva.org> 1.0-0.20080828.1mdv2009.0
+ Revision: 281388
- New version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0-0.20071210.1mdv2009.0
+ Revision: 222751
- fix 'Installed (but unpackaged) file(s) found'
- parallel build is broken
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Release 20071210.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Oct 13 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.0-0.20071002.1mdv2008.1
+ Revision: 97895
- Release: 20071002.

* Tue Sep 04 2007 Adam Williamson <awilliamson@mandriva.org> 1.0-0.20070831.1mdv2008.0
+ Revision: 79024
- fd.o icons
- drop old menu file and X-Mandriva XDG category
- use draft license policy (-like, not Style)
- new snapshot 20070831


* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.0-0.20061220.2mdv2007.0
+ Revision: 125431
- Added Patch0 so to avoid libuninameslist-devel into Requires.
- Added Patch1 for local helpdir.
- Added libxml2-devel to BuildRequires.

* Sun Jan 21 2007 David Walluck <walluck@mandriva.org> 1.0-0.20061220.1mdv2007.1
+ Revision: 111228
- 20061220

* Thu Aug 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-0.20060715.2mdv2007.0
+ Revision: 57538
- fix xdg menu (categories, name, comment)
- use %%find_lang for translations
- remove rpath
- don't bzip2 icons
- drop redundant doc dir

* Fri Aug 11 2006 Bruno Cornec <Bruno.Cornec@mandriva.org> 1.0-0.20060715.1mdv2007.0
+ Revision: 55478
- THanks to F. Crozat for the remark anbout the forgotten \
- desktop file was not in %%files
- XDG compliance added following http://qa.mandriva.com/twiki/bin/view/Main/MenuMigrationToXDG
- Updated to 20060715
  Patches not used anymore but stil in SVN for now in case I missed something.
- import fontforge-1.0-0.20060125.2mdk

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.20060125.2mdk
- rebuild for sparc

* Sat Feb 04 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20060125.1mdk
- Release: 20060125.
- Added PDF tutorial.

* Wed Dec 28 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20051205.1mdk
- Release: 20051202.
- Rebuilt Patch1.

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.20051023.2mdk
- fix menu entry (#14732)

* Thu Oct 27 2005 Abel Cheung <deaddog@mandriva.org> 1.0-0.20051023.1mdk
- Release: 20051023.
- Adapted Patch1 (partially merged upstream).

* Thu Aug 25 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050809.1mdk
- Release: 20050809.

* Sat Aug 06 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050803.1mdk
- Release: 20050803.

* Tue Jun 28 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050624.1mdk
- Release: 20050624.
- Removed Patch0 (merged upstream).
- Adapted Patch1.

* Mon Feb 14 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20050209.1mdk
- Release: 20050209.
- Fixed helpdir (Patch2).

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.0-0.20041231.2mdk
- Don't obsolete/provide pfaedit, pfaedit should still stay (ghibo)
- UTF-8 spec

* Sun Jan 16 2005 Abel Cheung <deaddog@mandrake.org> 1.0-0.20041231.1mdk
- New release
- Updated cidmaps to 2004-12-22
- Obsoletes pfaedit
- Parallel build broken
- P0: fix detection of libxkbui
- P1: Adds DESTDIR support and --mode=* option to libtool calls
- (Seems not working very well, is urw-fonts broken?)

* Thu Aug 26 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040824.1mdk
- Release: 20040824.
- Removed Patch0, merged upstream.

* Sun Aug 01 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040703.2mdk
- Added Patch0 to get global variables like $fontversion working correctly.

* Fri Jul 30 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040703.1mdk
- Initial release.

